import * as dotenv from 'dotenv'
import logger from 'logger/logger'
const envFile = process.env.NODE_ENV && process.env.NODE_ENV === 'production' ? `.env.production` : '.env.development'
dotenv.config({ path: envFile })

import 'common/Extend'
import { GooglePaySvr } from 'service/googlepay.svr'
import GooglePurchaseSchedule from 'schedule/googlepurchase.schedule'
import { ZRedisClient } from 'zutils'

async function main() {
  let opts = { url: process.env.REDIS }
  new ZRedisClient(opts)
  logger.info('REDIS Connected')
  await new GooglePaySvr().init()
  logger.info('GooglePaySvr Connected')
  setInterval(function () {
    new GooglePurchaseSchedule().parseAllRecord()
  }, 60 * 60 * 1000)
  new GooglePurchaseSchedule().parseAllRecord()
}

main()
