import { dbconn } from '../decorators/dbconn'
import { getModelForClass, index, modelOptions, mongoose, prop, Ref } from '@typegoose/typegoose'
import { Severity } from '@typegoose/typegoose/lib/internal/constants'
import { BaseModule } from './Base'

/**
 * 管理员操作记录
 */
@dbconn()
@index({ admin: 1 }, { unique: false })
@index({ name: 1 }, { unique: false })
@modelOptions({
  schemaOptions: { collection: 'account_log', timestamps: true },
  options: { allowMixed: Severity.ALLOW },
})
class UserLogClass extends BaseModule {
  @prop()
  public admin: string
  @prop()
  public name: string
  @prop()
  public method: string
  @prop()
  public path: string
  @prop()
  public referer: string
  @prop()
  public user_agent: string
  @prop()
  public platform: string
  @prop()
  public env: string
  @prop()
  public apiVersion: string
  @prop()
  public ip: string
  @prop({ type: mongoose.Schema.Types.Mixed })
  public params: any
}
export const UserLog = getModelForClass(UserLogClass, { existingConnection: UserLogClass['db'] })
