import { getModelForClass, index, modelOptions, mongoose, prop, Severity } from '@typegoose/typegoose'
import { dbconn } from 'decorators/dbconn'
import { BaseModule } from './Base'

@dbconn()
@index({ account: 1 }, { unique: true })
@modelOptions({
  schemaOptions: { collection: 'wallet_ext', timestamps: true },
  options: { allowMixed: Severity.ALLOW },
})
class WalletExtClass extends BaseModule {
  @prop({ required: true })
  public account!: string

  @prop({ type: mongoose.Schema.Types.Mixed })
  public data: any

  @prop({ required: true, default: true })
  public nweRecord: boolean
}

export const WalletExt = getModelForClass(WalletExtClass, { existingConnection: WalletExtClass.db })
